package com.supervision.service;

import com.supervision.dto.robot.RobotTalkDTO;
import com.supervision.model.RobotTalkReq;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.http.codec.ServerSentEvent;
import org.springframework.web.multipart.MultipartFile;
import reactor.core.publisher.Flux;

import java.io.IOException;
import java.util.Map;

public interface IChatService {
    Flux<ServerSentEvent<Map<String, String>>> streamingMessage(String query);

    String asr(MultipartFile file) throws IOException;

    RobotTalkDTO talk(MultipartFile file, RobotTalkReq robotTalkReq);

    void getAudio(HttpServletResponse response, String audioId) throws IOException;
}
